package com.tykj.dev.device.repair.service;

import com.tykj.dev.device.repair.subject.domin.RepairSendBill;
import com.tykj.dev.device.repair.subject.vo.RepairBillSelectVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface RepairSendBillService {

    RepairSendBill addEntity(RepairSendBill deviceRepairSendBillEntity);

    /**
     * @param repairSendBills 异步上链
     */
    void sendHash(List<RepairSendBill> repairSendBills);

    Page<RepairSendBill> getPage(RepairBillSelectVo deviceRepairBillSelectVo, Pageable pageable);

    RepairSendBill getOne(Integer id);

    RepairSendBill update(RepairSendBill deviceRepairSendBillEntity);

    void delete(Integer id);
}
